### File

`packages/components/eui-select/eui-select.component.ts`

### Implements

`OnChanges` `OnInit` `DoCheck`

### Metadata

selector | `select[euiSelect]`
styleUrls | `./eui-select.scss`
template |
    <ng-content/>

### Index

###### Methods
onChange syncReadOnlyValue
###### Inputs
ariaLabel isInvalid placeholder readonly
###### HostListeners
change
###### Accessors
isInvalid

### Inputs

ariaLabel
Type : `string`
Default value : `'Select an option'`

isInvalid
Type : `boolean`

placeholder
Type : `string`

readonly
Type : `boolean`

### HostListeners

change
Arguments : `'$event.target.value'`
`change(value)`

### Methods

onChange
`onChange(value)`
Decorators : `@HostListener('change', ['$event.target.value'])`
Parameters :
Name | Optional
value | No
Returns : `void`

syncReadOnlyValue
`syncReadOnlyValue()`
Returns : `void`

### Accessors

isInvalid
get `isInvalid()`
set `isInvalid(state: BooleanInput)`
Parameters :
Name | Type | Optional
state | `BooleanInput` | No
Returns : `void`

# results matching ""

# No results matching ""